Bug 118067 - gdmlogin tells if the username was valid or not before user enters the password
gdmlogin tells if the username was valid or not before user enters the password
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
: Security
: 118046 118679 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-03-11 12:58 EST by Toni Willberg
Modified: 2007-11-30 17:10 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-06-17 17:26:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Toni Willberg 2004-03-11 12:58:22 EST
gdmlogin from gdm-2.5.90.1-1 tells if the username was valid or not
before user enters the password. This should be considered as a
security problem.

If we want to tell the user when he last logged in, better place might
be the Gnome splash screen. Perhaps.
Comment 1 Michel Alexandre Salim 2004-03-16 06:14:23 EST
I second this. It's worse than knowing whether a username is valid or
not - people with access to a computer could find out when exactly
other users logged in to it.

Reminds me of Novell Client for Windows' default configuration which
is set to pre-fill the username box with the last logged-in user...
Comment 2 Bill Nottingham 2004-03-18 23:07:40 EST
*** Bug 118679 has been marked as a duplicate of this bug. ***
Comment 3 Ray Strode [halfline] 2004-06-17 17:26:14 EDT
Note this is a configurable option and is now turned off by default.
Comment 4 Bill Nottingham 2004-07-30 16:00:06 EDT
*** Bug 118046 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.